Skip to main content

Get all payins by type

GET 

/v1/payin

Tag: api-payments-gateway-get-payin-allDescription: Retrieve all payins for the authenticated user by payment type with optional country filter and pagination.

Request​

Query Parameters

    sort string

    Page sort attribute.

    page number

    Page number, starting from 1. Default is 1.

    country string

    Possible values: [BRA, ARG, CHL, PER]

    type stringrequired

    Possible values: [CREDIT_CARD, DEBIT_CARD, CASH, BANK_TRANSFER]

    Payment type filter. Use CREDIT_CARD or DEBIT_CARD for card payments, CASH for cash payments, or BANK_TRANSFER for bank transfer deposits.

Header Parameters

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    The product ID is a UUID (v4) used to identify the Z.ro product configuration.

    x-product-target-user-uuid string

    The product target user ID is a UUID (v4) used to identify what user account this request must be executed. Require: x-product-uuid.

Responses​

Payins retrieved successfully.

Schema
    oneOf
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    List of acquiring payments.

  • Array [
  • id stringrequired

    Payment ID.

    user_id stringrequired

    User ID of the merchant who performed the transaction.

    operation_id string

    Operation ID associated with the transaction.

    wallet_id string

    Wallet ID associated with the transaction.

    country stringrequired

    Country Of Transaction.

    sales_channel stringrequired

    Possible values: [POS, PDV, MPOS, PAYLINK, INTEGRATION, TAP_ON_PHONE, VIRTUAL_TERMINAL]

    Payment Sales Channel.

    payment_method stringrequired

    Possible values: [DEBIT_CARD, CREDIT_CARD]

    Payment Method.

    amount numberrequired

    Payment Value in cents.

    currency_tag stringrequired

    Possible values: [PEN, CLP, ARS, USD, BRL]

    Payment Currency Tag.

    status stringrequired

    Possible values: [PENDING, WAITING, WAITING_THREE_DS, AUTHORIZED, EXPIRED, DECLINED, REVERTED, CANCELLATION_IN_PROGRESS, CANCELLED, SETTLED, REFUNDED, FAILED]

    Transaction Status.

    third_part_name stringrequired

    Third Part Full Name.

    third_part_email stringrequired

    Third Part Email Address.

    third_part_phone_number stringrequired

    Third Part Phone Number.

    third_part_document_type stringrequired

    Possible values: [DNI, CE, PAS, PP, RUT, RUC, CUIL, CUIT, CPF, CNPJ]

    Third Part Document Type.

    third_part_document stringrequired

    Third Part Document Number.

    third_part_address_city stringrequired

    Third Part Address City.

    third_part_address_country stringrequired

    Third Part Address Country.

    third_part_address_state stringrequired

    Third Part Address Federative Unit.

    third_part_address_number stringrequired

    Third Part Address Number.

    third_part_address_street stringrequired

    Third Part Address Street.

    third_part_address_zip_code stringrequired

    Third Part Address Zip Code.

    third_part_address_complement string

    Third Part Address Complement.

    card_last_four_digits stringrequired

    Last four digits of the card used.

    installments numberrequired

    Number of installments for the transaction.

    authorized_date date-time

    Transaction Confirmation Date.

    declined_date date-time

    Transaction Declined Date.

    cancelled_date date-time

    Transaction Cancelled Date.

    settlement_date date-time

    Transaction Settled Date.

    cancelled_max_date date-time

    Transaction Cancelled Max Date.

    expected_settlement_date date-time

    Expected External Settlement Date.

    refunded_date date-time

    Transaction Refunded Date.

    payment_url string

    Url to provide to customer to continue the payment.

    redirect_url string

    Redirect URL for payment success and error.

    expiration_time_minutes number

    Expected time in minutes for transaction expiration.

    language string

    Language code for the transaction, e.g., "en", "pt".

    expiration_date date-time

    Transaction Expiration Date.

    created_at date-timerequired

    Transaction creation date

    updated_at date-timerequired

    Transaction last update date

  • ]
Loading...